Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.security.pk
Class WLSCertPathBuilderResult

    java.lang.Object
      weblogic.security.pk.WLSCertPathBuilderResult

All Implemented Interfaces:
  CertPathBuilderResult, Cloneable

public class WLSCertPathBuilderResult
extends Object
implements CertPathBuilderResult

A convenience class for returning results. Certification path builders can use this class rather than writing their own result class.

For more information, see the sections that describe certification paths in "Developing Security Providers for WebLogic Server" on http://edocs.bea.com.

See Also:
  `CertPathBuilderParameters`, `CertPathBuilder`

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`WLSCertPathBuilderResult(CertPath certPath)` Construct a WLSCertPathBuilderResult using the provided certification path.
`WLSCertPathBuilderResult(X509Certificate[] chain)` Construct a WLSCertPathBuilderResult using the provided array of X509 certificates.

Method Summary
`Object` | `clone()` This class is not cloneable.
`CertPath` | `getCertPath()` Return the built and validated certification path.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WLSCertPathBuilderResult

    public WLSCertPathBuilderResult(CertPath certPath)

  Construct a WLSCertPathBuilderResult using the provided certification path. Used to return the built and validated certification path.

Throws:
  `IllegalArgumentException` - if certPath is null or empty.

### WLSCertPathBuilderResult

    public WLSCertPathBuilderResult(X509Certificate[] chain)

  Construct a WLSCertPathBuilderResult using the provided array of X509 certificates. Used to return the built and validated certification path.

Throws:
  `IllegalArgumentException` - if `chain` is `null` or empty.

Method Detail

### clone

    public Object clone()

  This class is not cloneable.

  Specified by:
    `clone` in interface `CertPathBuilderResult`
  Throws:
    `UnsupportedOperationException` - when called.

### getCertPath

    public CertPath getCertPath()

  Return the built and validated certification path.

  Specified by:
    `getCertPath` in interface `CertPathBuilderResult`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD